You are not logged in.

#1 2020-10-17 05:19:43

arnuld
Member
From: INDIA
Registered: 2005-12-19
Posts: 139
Website

libvirt upgrade warning

Just did a pacman -Syu and got this warning. My question is: Should I replace old file with new ones?     

(5/8) upgrading libvirt                                                                                                                                                   [#########################################################################################################] 100%
warning: /etc/libvirt/virtinterfaced.conf installed as /etc/libvirt/virtinterfaced.conf.pacnew
warning: /etc/libvirt/virtlxcd.conf installed as /etc/libvirt/virtlxcd.conf.pacnew
warning: /etc/libvirt/virtnetworkd.conf installed as /etc/libvirt/virtnetworkd.conf.pacnew
warning: /etc/libvirt/virtnodedevd.conf installed as /etc/libvirt/virtnodedevd.conf.pacnew
warning: /etc/libvirt/virtnwfilterd.conf installed as /etc/libvirt/virtnwfilterd.conf.pacnew
warning: /etc/libvirt/virtproxyd.conf installed as /etc/libvirt/virtproxyd.conf.pacnew
warning: /etc/libvirt/virtqemud.conf installed as /etc/libvirt/virtqemud.conf.pacnew
warning: /etc/libvirt/virtsecretd.conf installed as /etc/libvirt/virtsecretd.conf.pacnew
warning: /etc/libvirt/virtstoraged.conf installed as /etc/libvirt/virtstoraged.conf.pacnew
warning: /etc/libvirt/virtvboxd.conf installed as /etc/libvirt/virtvboxd.conf.pacnew

I ran a diff on the old and new files and looks like lot of stuff has changed:

[root@arch64 libvirt]# diff virtinterfaced.conf virtinterfaced.conf.pacnew 
56c56
< #unix_sock_dir = "@runstatedir@/libvirt"
---
> #unix_sock_dir = "/run/libvirt"
63a64,65
> # There are the following choices available:
> #
71c73
< #          controlled from @sysconfdir@/sasl2/libvirt.conf. For the TCP
---
> #          controlled from /etc/sasl2/libvirt.conf. For the TCP
80a83
> 
81a85
> #

Offline

#2 2020-10-17 10:44:08

solskog
Member
Registered: 2020-09-05
Posts: 247

Re: libvirt upgrade warning

There has been many discussions around *.pacnew files, although not specific libvirt.
https://bbs.archlinux.org/viewtopic.php?id=259609
https://wiki.archlinux.org/index.php/Pa … nd_Pacsave

Offline

#3 2020-10-17 10:49:51

icar
Member
Registered: 2020-07-31
Posts: 29

Re: libvirt upgrade warning

Yeah, I got a .pacnew when I updated libvirt yesterday. It was changing a bunch of networking things but my configuration file was better. You need to use something like `sudo pacdiff` and manage it yourself one by one.

Offline

Board footer

Powered by FluxBB